<?php         
namespace Concrete\Package\AbShowHide;

use Package;
use BlockType;

defined('C5_EXECUTE') or die("Access Denied.");

/**
 * ab_show_hide package for Concrete5
 * Copyright Copyright 2017-2018, Alex Borisov
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @package Concrete\Package\ab_show_hide
 */
 
class Controller extends Package {

	protected $pkgHandle = 'ab_show_hide';
	protected $appVersionRequired = '8.0.0';
	protected $pkgVersion = '1.0.1';
	protected $pkgAutoloaderMapCoreExtensions = true;
	
    public function getPackageDescription() 
	{
		return t('Content Show/Hide package');
	}
	
	public function getPackageName() 
	{
		return t("Content Show/Hide");
	}
	
	public function install() 
	{
		$pkg = parent::install();
		BlockType::installBlockType('ab_show_hide', $pkg);
	}

}
