<?php
defined('C5_EXECUTE') or die("Access Denied.");

/**
 * ab_show_hide package for Concrete5
 * Copyright Copyright 2017-2018, Alex Borisov
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @package Concrete\Package\ab_show_hide
 */

$bUID = $controller->getBlockUID($b);
$c = Page::getCurrentPage();
?>
 
<div class="ab-show-hide">
    <?php 
    if ($text_show) {
        echo '<div>' . $text_show . '</div>';
    }
    if ($text_hide) {
        if ($c->isEditMode()) {
            echo '<div>' . $text_hide . '</div>';
            echo '<a class="show-hide" href="#">' . $btn_text . '</a>';
        }
        else {
            if ($popup) {
                echo '<div id="text_hide_' . $bUID . '" class="hidden-text mfp-hide">';
                echo '<div>' . $text_hide . '</div>';
                echo '</div>';
            }
            else {
                echo '<div id="text_hide_' . $bUID . '" class="hidden">' . $text_hide . '</div>';
            }
            echo '<a class="show-hide" href="#text_hide_' . $bUID . '" data-buid="' . $bUID . '" data-popup="' . $popup . '">' . $btn_text . '</a>';
        }
    }
    ?>
</div>
